Subject: bug#68244: hash-table improvements

From: Mattias Engdegård <[email-masked]>
Date: Mon, 15 Jan 2024 14:26:13 +0100

15 jan. 2024 kl. 13.31 skrev Eli Zaretskii <[email-masked]>:

>> Bisect identifies this as the bad commit:
>>  d3cefd3e9835 ("Leaner hash table dumping and thawing")

Thank you, I can reproduce the (or at least an) assertion failure in this commit. However it's probably a ghost error: although I've tried to make sure that there is a correct build at each point, there have been a lot of work going on rearranging things for correctness and clarity, and apparently I never built this particular one with checking enabled the last time.

However this assertion should be removed by the next commit so the error is very short-lived (and it's just an over-zealous assertion, not an actual flaw). What problems do you observe when building master?

(And yes, I should update some hashes in pdumper.c; it's been a while.)